$Stylish::Theme = "Stylish4BL-Default";
$Stylish::Root = "Add-Ons/Client_Stylish4BL/";
$Stylish::Version = "0.1.3-dev-4";
echo("Stylish4BL version" SPC $Stylish::Version);
exec("./themes/" @ $Stylish::Theme @ "/theme.gui");
if(isFile("./themes/" @ $Stylish::Theme @ "/tweaks.cs"))
	exec("./themes/" @ $Stylish::Theme @ "/tweaks.cs");

function recursiveLoop(%obj)
{
	for(%i=0;%i<%obj.getCount();%i++)
	{
		%cur = %obj.getObject(%i);

		switch$(%cur.getClassName())
		{
			case "GuiWindowCtrl":
				if(%cur.profile $= "BlockWindowProfile" || %cur.profile $= "GuiWindowProfile")
					%cur.setProfile("StylishWindowProfile");

			case "GuiScrollCtrl":
				if(%cur.profile $= "GuiScrollProfile")
					%cur.setProfile("StylishScrollProfile");

			case "GuiBitmapButtonCtrl":
				if(%cur.profile $= "BlockButtonProfile")
				{
					%cur.setProfile("StylishButtonProfile");
					%cur.setBitmap($Stylish::Root @ "themes/" @ $Stylish::Theme @ "/button");
				}

			case "GuiTextListCtrl":
				if(%cur.profile $= "ServerListProfile")
					%cur.setProfile("StylishServerListProfile");
				if(%cur.profile $= "GuiTextListProfile")
					%cur.setProfile("StylishTextListProfile");
				if(%cur.profile $= "BlockListProfile")
					%cur.setProfile("StylishBlockListProfile");

			case "GuiPopUpMenuCtrl":
				if(%cur.profile $= "GuiPopUpMenuProfile")
					%cur.setProfile("StylishPopUpMenuProfile");

			case "GuiTextCtrl":
				if(%cur.profile $= "GuiTextProfile")
					%cur.setProfile("StylishTextProfile");

			case "GuiMLTextCtrl":
				if(%cur.profile $= "GuiMLTextProfile")
					%cur.setProfile("StylishMLTextProfile");

			case "GuiTextEditCtrl":
				if(%cur.profile $= "GuiTextEditProfile")
					%cur.setProfile("StylishTextEditProfile");

			case "GuiCheckBoxCtrl":
				if(%cur.profile $= "GuiCheckBoxProfile")
					%cur.setProfile("StylishCheckBoxProfile");

			case "GuiRadioCtrl":
				if(%cur.profile $= "GuiRadioProfile")
					%cur.setProfile("StylishRadioProfile");

			case "GuiSliderCtrl":
				if(%cur.profile $= "GuiSliderProfile")
					%cur.setProfile("StylishSliderProfile");
		}
		if(%cur.getCount() > 0)
			recursiveLoop(%cur);
	}
}
schedule(33,0,recursiveLoop,GuiGroup);

package StylishChat
{
	function OPT_SetChatSize(%size)
	{
		parent::OPT_SetChatSize(%size);
		newChatText.setProfile("StylishChatTextSize" @ %size @ "Profile");
	}
};
activatePackage(StylishChat);